Package twisted :: Package scripts :: Module mailmail

[frames | no frames]

## Module twisted.scripts.mailmail

Implementation module for the `newtexaco` command.

The name is preliminary and subject to change.

Classes
`Configuration` | @ivar allowUIDs @ivar allowGIDs @ivar denyUIDs @ivar denyGIDs @ivar useraccess @ivar groupaccess @ivar identities @ivar smarthost @ivar domain @ivar defaultAccess
`Options` |

Function Summary
| `deny(conf)`
| `failure(f)`
| `getlogin()`
| `loadConfig(path)`
| `log(message, *args)`
| `parseOptions(argv)`
| `run()`
| `senderror(failure, options)`
| `sendmail(host, options, ident)`
| `success(result)`

Variable Summary
`str` | `ERROR_FMT` = `'Subject: Failed Message Delivery\n\n Messa...`
`NoneType` | `failed` = None
`str` | `GLOBAL_CFG` = `'/etc/mailmail'`
`str` | `LOCAL_CFG` = `'/home/radix/.twisted/mailmail'`
`str` | `SMARTHOST` = `'127.0.0.1'`

Variable Details

### ERROR_FMT

  Type:
    `str`
  Value:

        '''Subject: Failed Message Delivery

          Message delivery failed.  The following occurred:

          %s
        --
        The Twisted sendmail application.
        '''

### failed

  Type:
    `NoneType`
  Value:

        None

### GLOBAL_CFG

  Type:
    `str`
  Value:

        '/etc/mailmail'

### LOCAL_CFG

  Type:
    `str`
  Value:

        '/home/radix/.twisted/mailmail'

### SMARTHOST

  Type:
    `str`
  Value:

        '127.0.0.1'

Generated by Epydoc 2.0 on Sat May 15 20:07:41 2004 | http://epydoc.sf.net